extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Modelo"
    - var ListadoCabecera = ["Modelo", "Descripcion"]
    - var TamanoColeccion = "tModelos.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tModelo of tModelos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tModelo})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tModelo.Codmodelo }}
        td
            h6.text-nowrap {{ tModelo.Descripcion }}